version: "3.1"
services:
  php-fpm:
    build: docker/php-fpm
    container_name: test-php-fpm
    working_dir: /app
    volumes:
      - .:/app
      - ./docker/php-fpm/php-ini-overrides.ini:/etc/php/7.2/fpm/conf.d/99-overrides.ini

  mysql:
    image: mysql:5.7
    container_name: test-mysql
    working_dir: /app
    volumes:
      - .:/app
    environment:
      - MYSQL_ROOT_PASSWORD=123123
      - MYSQL_DATABASE=test_db
      - MYSQL_USER=test
      - MYSQL_PASSWORD=123123
    ports:
      - "8002:3306"

  redis:
    image: redis:alpine
    container_name: test-redis
    ports:
      - "6380:6379"
    volumes:
      - .:/app
    command: redis-server --appendonly yes

  nginx:
    image: nginx:alpine
    container_name: test-nginx
    working_dir: /app
    volumes:
        - .:/app
        - ./docker/nginx/nginx.conf:/etc/nginx/conf.d/default.conf
    ports:
     - "8000:80"
